[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDefsClass

Class of TFieldDefs

## Declaration

Source position: db.pas line 231

`type TFieldDefsClass = class of TFieldDefs;`

## Description

TFieldDefClass is used to be able to customize the actual TDataset.FieldDefs class used in a TDataset descendent.

## See also

TDataset |  | Base class for records-based data-access
TDataset.FieldDefs |  | Definitions of available fields in the underlying database
TFieldDefs |  | Collection of TFieldDef instances.